Loading...
Searching...
No Matches
OgreMovableObject.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreAxisAlignedBox.h"`
`#include "OgreSphere.h"`
`#include "OgreShadowCaster.h"`
`#include "OgreAnimable.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::MovableObject
| Abstract class defining a movable object in a scene. More...
class | Ogre::MovableObject::Listener
| Listener which gets called back on MovableObject events. More...
class | Ogre::MovableObjectFactory
| Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing. More...

## Namespaces

namespace | Ogre